# Verify shopper's email id

For manual registration, the shopper must verify his email address to activate his account. The merchant website should display a form to accept the OTP, similar to the below screenshot.

![](/files/dzN45alu6BbJlmsjplXR)

<mark style="color:green;">`POST`</mark> `/auth/validate-email`

#### Headers

| Name                                            | Type   | Description                                                                                    |
| ----------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | <p>"Bearer" + shopper access token</p><p>Shopper access token return in /auth/register API</p> |
| Content-Type                                    | String | application/json                                                                               |

#### Request Body

| Name | Type   | Description                  |
| ---- | ------ | ---------------------------- |
| code | String | OTP received at the email id |

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
{
  "ok": true,
  "result": {
    "success": true
  }
}
```

{% endtab %}

{% tab title="400: Bad Request Invalid code" %}

```javascript
{
  "ok": false,
  "statusCode": 400,
  "data": {
    
  },
  "message": "Code invalid"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/shopper/verify-shoppers-email-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
